| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__LocationInfo Struct Reference
Business Group Subnet

Next Generation 911 Location Information. More...

`#include <osv-if-doc.h>`

## Public Attributes
char * | Country
| Country Code required: true default value[range]: NA [1..2]. More...
char * | StateRegionProvince
| State, region or province required: true default value[range]: NA [1..3]. More...
char * | CountryParishDistrict
| Country, parish or district required: false default value[range]: NA [1..150]. More...
char * | City
| City required: false default value[range]: NA [1..150]. More...
char * | Street
| Street required: false default value[range]: NA [1..150]. More...
char * | LeadingStreetDirection
| Leading street direction required: false default value[range]: NA [1..150]. More...
char * | StreetTypeSuffix
| Street type suffix required: false default value[range]: NA [1..150]. More...
char * | AddressNumber
| Address number required: false default value[range]: NA [1..150]. More...
char * | PostalCode
| Postal code required: false default value[range]: NA [1..150]. More...
char * | PostalCommunityName
| Postal community name required: false default value[range]: NA [1..150]. More...
char * | Building
| Building required: false default value[range]: NA [1..150]. More...
char * | Floor
| Floor required: false default value[range]: NA [1..150]. More...
char * | Room
| Room required: false default value[range]: NA [1..150]. More...

## Detailed Description

Next Generation 911 Location Information.

## Member Data Documentation

## ◆ AddressNumber

char* unsp__LocationInfo::AddressNumber

Address number
required: false
default value[range]: NA [1..150].

## ◆ Building

char* unsp__LocationInfo::Building

Building
required: false
default value[range]: NA [1..150].

## ◆ City

char* unsp__LocationInfo::City

City
required: false
default value[range]: NA [1..150].

## ◆ Country

char* unsp__LocationInfo::Country

Country Code
required: true
default value[range]: NA [1..2].

## ◆ CountryParishDistrict

char* unsp__LocationInfo::CountryParishDistrict

Country, parish or district
required: false
default value[range]: NA [1..150].

## ◆ Floor

char* unsp__LocationInfo::Floor

Floor
required: false
default value[range]: NA [1..150].

## ◆ LeadingStreetDirection

char* unsp__LocationInfo::LeadingStreetDirection

Leading street direction
required: false
default value[range]: NA [1..150].

## ◆ PostalCode

char* unsp__LocationInfo::PostalCode

Postal code
required: false
default value[range]: NA [1..150].

## ◆ PostalCommunityName

char* unsp__LocationInfo::PostalCommunityName

Postal community name
required: false
default value[range]: NA [1..150].

## ◆ Room

char* unsp__LocationInfo::Room

Room
required: false
default value[range]: NA [1..150].

## ◆ StateRegionProvince

char* unsp__LocationInfo::StateRegionProvince

State, region or province
required: true
default value[range]: NA [1..3].

## ◆ Street

char* unsp__LocationInfo::Street

Street
required: false
default value[range]: NA [1..150].

## ◆ StreetTypeSuffix

char* unsp__LocationInfo::StreetTypeSuffix

Street type suffix
required: false
default value[range]: NA [1..150].

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h